linux-mips
[Top] [All Lists]

Re: Toshiba JMR 3927 working setup?

To: linux-mips@linux-mips.org
Subject: Re: Toshiba JMR 3927 working setup?
From: Gregor Waltz <gregor.waltz@raritan.com>
Date: Tue, 08 Jan 2008 18:54:59 -0500
In-reply-to: <20080105144535.GA12824@linux-mips.org>
Original-recipient: rfc822;linux-mips@linux-mips.org
References: <477E6296.7090605@raritan.com> <20080105144535.GA12824@linux-mips.org>
Sender: linux-mips-bounce@linux-mips.org
User-agent: Thunderbird 1.5.0.10 (X11/20070403)
Ralf Baechle wrote:
You may want to switch to a recent binutils like 2.18 and gcc 4.2.2.

Ralf, are you or anybody else using that combination for mips?

With which versions of glibc and glibc-linuxthreads?

I have been having a joyous time trying to build more recent tools.
I keep getting errors like the following when building glibc of any version (tried from 2.3.6 through 2.7): sysdeps/unix/sysv/linux/waitid.c:51: error: memory input 6 is not directly addressable

I found a patch for that (http://sourceware.org/ml/crossgcc/2005-04/msg00208.html), but, after passing that file, it fails similarly on pread.c. It seems to be an issue with INLINE_SYSCALL, rather than the call sites, that appears to be related to later versions of gcc.

Later versions of glibc (2.7, 2.6...) fail at configure time with the error: "The mipsel is not supported."


So, what are the lastest versions of the build tools that people are using on mips?

Thanks

<Prev in Thread] Current Thread [Next in Thread>